package com.ruoyi.ss.account.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 账户类型
 * @author wjh
 * 2024/3/26
 */
@AllArgsConstructor
@Getter
public enum AccountType {

    BANK_CARD("1", "个人银行卡"),
    WECHAT("2", "微信"),
    ALIPAY("3", "支付宝");


    private final String type;
    private final String name;

    public static AccountType parse(String type) {
        for (AccountType obj : AccountType.values()) {
            if (Objects.equals(obj.getType(), type)) {
                return obj;
            }
        }
        throw new RuntimeException("不存在值为" + type + "的账户类型");
    }
}
