package com.ruoyi.ss.receiveBill.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应收账单对象 ss_receive_bill
 *
 * @author ruoyi
 * @date 2024-07-22
 */
@Data
public class ReceiveBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 账单ID */
    private Long billId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 账单类型 */
    @Excel(name = "账单类型")
    private String type;

    /** 账单状态 */
    @Excel(name = "账单状态")
    private String status;

    /** 出账时间 */
    @Excel(name = "出账时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime billTime;

    /** 账单金额 */
    @Excel(name = "账单金额")
    private BigDecimal amount;

    /** 账单描述 */
    @Excel(name = "账单描述")
    private String description;
}
